Permissions- Permissions ManageGET global/sites/{siteId}/permissions- Get site PermissionsGET global/agents/{agentId}/permissions- Get agent Permissions
Permission JSON Format
Permission is represented as simple flat JSON objects with the following keys:
| Name | Type | Description |
|---|---|---|
id |
integer | ID of the permission. |
moduleId |
string | ID of the module that the permission belongs to. |
name |
string | Name of the permission. |
description |
string | Description of the permission. |
order |
integer | Order of the permission. |
isEnabledForAgentByDefault |
bool | Whether the permission is enabled for agents by default or not. |
parentId |
integer | ID of the parent permission. |
isDeleted |
bool | Whether the permission is deleted or not. |
Get site Permissions
GET global/sites/{stieId}/permissions
-
Parameters:
No Parameters
-
Response:
An array of Permission
-
Example
Sample Request:
curl https://partnerapi.comm100.io/v4/global/sites/100/permissions \
-X 'GET' \
-H 'Authorization: Bearer {access_token}' \
Response:
HTTP/1.1 200 OK
[
{
"id": 1,
"moduleId": "Global",
"name": "Manage My Profile",
"description": "• Edit My Profile",
"order": 1,
"isEnabledForAgentByDefault": false,
"parentId": 0,
"isDeleted": false
}
]
Get agent Permissions
GET global/agents/{agentId}/permissions
-
Parameters:
| Name | Type | in | Required | Description |
|---|---|---|---|---|
siteId |
integer | query | yes | ID of the site. |
-
Response:
| Name | Type | Description |
|---|---|---|
permissionIds |
array | The list of permission IDs. |
-
Example
Sample Request:
curl https://partnerapi.comm100.io/v4/global/agents/edd568c2-9e9f-416c-b98b-17fb03c1ee52/permissions?siteId=100 \
-X 'GET' \
-H 'Authorization: Bearer {access_token}' \
Response:
HTTP/1.1 200 OK
{
"permissionIds": [
1,
2
]
}